import React from 'react';
import type { Meta, StoryObj } from '@storybook/react';
import { CheckboxInput } from '.';

const Component: Meta<typeof CheckboxInput> = {
  title: 'Components/Inputs',
  component: CheckboxInput,
  argTypes: { onChange: {} },
  decorators: [(Story) => <div className="w-52 m-5">{Story()}</div>],
};

export default Component;
type Story = StoryObj<typeof Component>;

export const CheckboxInputStory: Story = {
  args: {
    type: 'checkbox',
    label: 'Checkbox component',
    options: ['Option 1', 'Option 2'],
    onChange: (value) => {},
  },
};
